> For the complete documentation index, see [llms.txt](https://help.enterprise.ledger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.enterprise.ledger.com/api-documentation/tutorials/api-functionalities/request-information.md).

# Request information

### Request content

Retrieve content from a specific request by querying the GET request by Id endpoint:

```bash
curl --request GET \
  --url https://api.vault.ledger.com/requests/{{request_id}} \
  --header 'authorization: Bearer {{access_token}}' \
  --header 'content-type: application/json' \
  --header 'x-ledger-workspace: minivault'
```

```json
{
  "created_by": 24,
  "created_on": "2024-01-24T08:07:08.007892+00:00",
  "expires_at": "2024-01-31T08:07:08.007837+00:00",
  "id": 29,
  "status": "PENDING_APPROVAL",
  "target_id": 305,
  "target_type": "TRANSACTION",
  "type": "CREATE_TRANSACTION"
}
```

### **Target ID**

The attribute `target_id` of a request in our example of type `CREATE_TRANSACTION` provides the id of the transaction.

You can search for requests by type, such as `CREATE_TRANSACTION`, or by status, like `PENDING_APPROVAL`, to obtain a list of requests awaiting operator approval.

{% tabs %}
{% tab title="Bash" %}

```bash
curl --location 'https://blue-badger-433.minivault.ledger-sbx.com/api-gateway/requests?status=PENDING_APPROVAL&type=CREATE_TRANSACTION' \
--header 'X-Ledger-Workspace: minivault' \
--header 'authorization: Bearer {{access_token}}'
```

{% endtab %}

{% tab title="JSON" %}

```json
{
  "edges": [
    {
      "cursor": 0,
      "node": {
        "created_by": 24,
        "created_on": "2024-01-24T08:07:08.007892+00:00",
        "expires_at": "2024-01-31T08:07:08.007837+00:00",
        "id": 29,
        "status": "PENDING_APPROVAL",
        "target_id": 305,
        "target_type": "TRANSACTION",
        "type": "CREATE_TRANSACTION"
      }
    }
  ],
  "page_info": {
    "count": 1,
    "has_next_page": false
  }
}
```

{% endtab %}
{% endtabs %}

### See who already approved a request

To get the number of request approvers, call the following endpoint:

{% tabs %}
{% tab title="Bash" %}

```bash
curl --request GET \
  --url https://api.vault.ledger.com/requests/{{request_id}}/governance-status \
  --header 'authorization: Bearer {{access_token}}' \
  --header 'content-type: application/json' \
  --header 'x-ledger-workspace: minivault'
```

{% endtab %}

{% tab title="JSON" %}

```json
{
    "governance_steps": [
        {
            "approvals": [
                {
                    "created_on": "2024-01-25T13:17:27.083210+00:00",
                    "type": "APPROVE",
                    "user": {
                        "id": null
                    }
                }
            ],
            "approvers": [
                {
                    "id": null
                },
                {
                    "id": 27
                },
                {
                    "id": null
                },
                {
                    "id": null
                },
                {
                    "id": null
                }
            ],
            "group": {
                "id": 11
            },
            "quorum": 1,
            "step_index": 0
        }
    ],
    "is_complete": true,
    "request": {
        "created_by": {
            "id": null
        },
        "created_on": "2024-01-25T13:15:10.322027+00:00",
        "current_step_index": 1,
        "expired_at": "2024-02-01T13:15:10.321913+00:00",
        "id": 62,
        "status": "SUBMITTED",
        "target_id": 435,
        "target_type": "ETHEREUM_LIKE_TRANSACTION",
        "type": "CREATE_TRANSACTION"
    }
}
```

{% endtab %}
{% endtabs %}

In the JSON data, request ID `62` is completely approved (`"is_complete": true`). It includes one approval from an operator whose identity is anonymized from my view. The `approvers` array shows that there were 4 potential approvers for this request, all members of group `11`. With a `"quorum": 1` and `"step_index": 0`, we understand that only one approval was needed from all group members for submission.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/tutorials/api-functionalities/request-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
